% RA: argumentacion-1a.in
% Lucero no es más rápido que Orejón (1A)
% Departamento de Ciencias de la Computación e Inteligencia Artificial
% Universidad de Sevilla
%==============================================================================


%==============================================================================
% Formalización
%==============================================================================

set(binary_res).

formula_list(sos).
 % Los caballos son más rápidos que los perros.
 all x y (CABALLO(x) & PERRO(y) -> MAS_RAPIDO(x,y)).
 % Algunos galgos son más rápidos que los conejos
 exists x (GALGO(x) & (all y (CONEJO(y) -> MAS_RAPIDO(x,y)))).
 % Lucero es un caballo
 CABALLO(Lucero).
 % Orejón es un conejo.
 CONEJO(Orejon).
 % Lucero no es más rápido que Orejón
 -MAS_RAPIDO(Lucero,Orejon).
end_of_list.

%==============================================================================
